CVE-2021-1076

NameCVE-2021-1076
DescriptionNVIDIA GPU Display Driver for Windows and Linux, all versions, contains a vulnerability in the kernel mode layer (nvlddmkm.sys or nvidia.ko) where improper access control may lead to denial of service, information disclosure, or data corruption.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs987216, 987217, 987218, 987219, 987220, 987221, 987222

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
nvidia-graphics-drivers (PTS)stretch/non-free390.138-1vulnerable
buster/non-free418.197.02-1fixed
bullseye/non-free460.91.03-1fixed
bookworm/non-free470.57.02-2fixed
sid/non-free470.57.02-3fixed
nvidia-graphics-drivers-legacy-340xx (PTS)stretch/non-free340.108-3~deb9u1vulnerable
buster/non-free340.108-3~deb10u1vulnerable
sid/non-free340.108-11vulnerable
nvidia-graphics-drivers-legacy-390xx (PTS)buster/non-free390.143-1~deb10u1fixed
bullseye/non-free390.144-1fixed
bookworm/non-free, sid/non-free390.144-2fixed
nvidia-graphics-drivers-tesla-418 (PTS)bullseye/non-free418.211.00-1fixed
bookworm/non-free, sid/non-free418.211.00-2fixed
nvidia-graphics-drivers-tesla-440 (PTS)sid/non-free440.118.02-5vulnerable
nvidia-graphics-drivers-tesla-450 (PTS)bullseye/non-free450.142.00-1fixed
bookworm/non-free, sid/non-free450.142.00-2fixed
nvidia-graphics-drivers-tesla-460 (PTS)bullseye/non-free460.91.03-1fixed
bookworm/non-free, sid/non-free460.91.03-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
nvidia-graphics-driverssourcebuster418.197.02-1
nvidia-graphics-driverssource(unstable)460.73.01-1987216
nvidia-graphics-drivers-legacy-340xxsource(unstable)(unfixed)987217
nvidia-graphics-drivers-legacy-390xxsourcebuster390.143-1~deb10u1
nvidia-graphics-drivers-legacy-390xxsource(unstable)390.143-1987218
nvidia-graphics-drivers-tesla-418source(unstable)418.197.02-1987219
nvidia-graphics-drivers-tesla-440source(unstable)(unfixed)987220
nvidia-graphics-drivers-tesla-450source(unstable)450.119.03-1987221
nvidia-graphics-drivers-tesla-460source(unstable)460.73.01-1987222

Notes

[buster] - nvidia-graphics-drivers-legacy-340xx <ignored> (Non-free not supported, no updates provided by Nvidia anymore)
[stretch] - nvidia-graphics-drivers-legacy-340xx <ignored> (Non-free not supported, no updates provided by Nvidia anymore)

Search for package or bug name: Reporting problems